# coding: utf-8

"""
    OpenAPI definition

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: v0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from java_api_python_client.models.ingredient_type_dto import IngredientTypeDto

class TestIngredientTypeDto(unittest.TestCase):
    """IngredientTypeDto unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> IngredientTypeDto:
        """Test IngredientTypeDto
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `IngredientTypeDto`
        """
        model = IngredientTypeDto()
        if include_optional:
            return IngredientTypeDto(
                types = [
                    'VEGETABLE'
                    ]
            )
        else:
            return IngredientTypeDto(
        )
        """

    def testIngredientTypeDto(self):
        """Test IngredientTypeDto"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
